#include "hUGEDriver.h"
#include <stddef.h>

static const unsigned char order_cnt = 24;

static const unsigned char P0[] = {
    DN(B_4,1,0x000),
    DN(B_4,1,0xC03),
    DN(E_5,1,0x000),
    DN(E_5,1,0xC03),
    DN(B_4,1,0x000),
    DN(B_4,1,0xC03),
    DN(G_5,1,0x000),
    DN(G_5,1,0xC03),
    DN(E_5,1,0x000),
    DN(E_5,1,0xC03),
    DN(Fs5,1,0x000),
    DN(Fs5,1,0xC03),
    DN(D_5,1,0x000),
    DN(D_5,1,0xC03),
    DN(A_4,1,0x000),
    DN(A_4,1,0xC03),
    DN(Cs5,1,0x000),
    DN(Cs5,1,0xC03),
    DN(E_5,1,0x000),
    DN(E_5,1,0xC03),
    DN(Cs5,1,0x000),
    DN(Cs5,1,0xC03),
    DN(B_4,1,0x000),
    DN(B_4,1,0xC03),
    DN(Ds5,1,0x000),
    DN(Ds5,1,0xC03),
    DN(Fs5,1,0x000),
    DN(Fs5,1,0xC03),
    DN(Ds5,1,0x000),
    DN(Ds5,1,0xC03),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(B_4,1,0x000),
    DN(B_4,1,0xC03),
    DN(E_5,1,0x000),
    DN(E_5,1,0xC03),
    DN(B_4,1,0x000),
    DN(B_4,1,0xC03),
    DN(G_5,1,0x000),
    DN(G_5,1,0xC03),
    DN(E_5,1,0x000),
    DN(E_5,1,0xC03),
    DN(Fs5,1,0x000),
    DN(Fs5,1,0xC03),
    DN(D_5,1,0x000),
    DN(D_5,1,0xC03),
    DN(A_4,1,0x000),
    DN(A_4,1,0xC03),
    DN(Cs5,1,0x000),
    DN(Cs5,1,0xC03),
    DN(E_5,1,0x000),
    DN(E_5,1,0xC03),
    DN(Cs5,1,0x000),
    DN(Cs5,1,0xC03),
    DN(B_4,1,0x000),
    DN(B_4,1,0xC03),
    DN(Ds5,1,0x000),
    DN(Ds5,1,0xC03),
    DN(Fs5,1,0x000),
    DN(Fs5,1,0xC03),
    DN(Ds5,1,0x000),
    DN(Ds5,1,0xC03),
    DN(___,0,0x000),
    DN(___,0,0x000),
};
static const unsigned char P1[] = {
    DN(___,0,0xE00),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(B_4,1,0xC07),
    DN(B_4,1,0xC02),
    DN(E_5,1,0xC07),
    DN(E_5,1,0xC02),
    DN(B_4,1,0xC07),
    DN(B_4,1,0xC02),
    DN(G_5,1,0xC07),
    DN(G_5,1,0xC02),
    DN(E_5,1,0xC07),
    DN(E_5,1,0xC02),
    DN(Fs5,1,0xC07),
    DN(Fs5,1,0xC02),
    DN(D_5,1,0xC07),
    DN(D_5,1,0xC02),
    DN(A_4,1,0xC07),
    DN(A_4,1,0xC02),
    DN(Cs5,1,0xC07),
    DN(Cs5,1,0xC02),
    DN(E_5,1,0xC07),
    DN(E_5,1,0xC02),
    DN(Cs5,1,0xC07),
    DN(Cs5,1,0xC02),
    DN(B_4,1,0xC07),
    DN(B_4,1,0xC02),
    DN(Ds5,1,0xC07),
    DN(Ds5,1,0xC02),
    DN(Fs5,1,0xC07),
    DN(Fs5,1,0xC02),
    DN(Ds5,1,0xC07),
    DN(Ds5,1,0xC02),
    DN(___,0,0xC07),
    DN(___,0,0xC02),
    DN(B_4,1,0xC07),
    DN(B_4,1,0xC02),
    DN(E_5,1,0xC07),
    DN(E_5,1,0xC02),
    DN(B_4,1,0xC07),
    DN(B_4,1,0xC02),
    DN(G_5,1,0xC07),
    DN(G_5,1,0xC02),
    DN(E_5,1,0xC07),
    DN(E_5,1,0xC02),
    DN(Fs5,1,0xC07),
    DN(Fs5,1,0xC02),
    DN(D_5,1,0xC07),
    DN(D_5,1,0xC02),
    DN(A_4,1,0xC07),
    DN(A_4,1,0xC02),
    DN(Cs5,1,0xC07),
    DN(Cs5,1,0xC02),
    DN(E_5,1,0xC07),
    DN(E_5,1,0xC02),
    DN(Cs5,1,0xC07),
    DN(Cs5,1,0xC02),
    DN(B_4,1,0xC07),
    DN(B_4,1,0xC02),
    DN(Ds5,1,0xC07),
    DN(Ds5,1,0xC02),
    DN(Fs5,1,0xC07),
    DN(Fs5,1,0xC02),
    DN(Ds5,1,0xC07),
};
static const unsigned char P2[] = {
    DN(___,0,0xE00),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(E_4,5,0x000),
    DN(___,0,0xC08),
    DN(E_4,5,0x000),
    DN(___,0,0xC08),
    DN(E_4,5,0x000),
    DN(___,0,0xC08),
    DN(E_4,5,0x000),
    DN(___,0,0xC08),
    DN(E_4,5,0x000),
    DN(___,0,0xC08),
    DN(E_4,5,0x000),
    DN(___,0,0xC08),
    DN(E_4,5,0x000),
    DN(___,0,0xC08),
    DN(E_4,5,0x000),
    DN(___,0,0xC08),
    DN(E_4,5,0x000),
    DN(___,0,0xC08),
    DN(E_4,5,0x000),
    DN(___,0,0xC08),
    DN(E_4,5,0x000),
    DN(___,0,0xC08),
    DN(E_4,5,0x000),
    DN(___,0,0xC08),
    DN(E_4,5,0x000),
    DN(___,0,0xC08),
    DN(E_4,5,0x000),
    DN(___,0,0xC08),
    DN(E_4,5,0x000),
    DN(___,0,0xC08),
    DN(E_4,5,0x000),
    DN(___,0,0xC08),
    DN(E_4,5,0x000),
    DN(___,0,0xC08),
};
static const unsigned char P3[] = {
    DN(___,0,0x8ED),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(As6,1,0x000),
    DN(___,0,0xE00),
    DN(___,0,0x000),
    DN(As6,1,0x000),
    DN(As6,1,0x000),
    DN(Gs6,2,0x000),
    DN(___,0,0xE00),
};
static const unsigned char P4[] = {
    DN(E_4,5,0x000),
    DN(___,0,0xC08),
    DN(E_4,5,0x000),
    DN(___,0,0xC08),
    DN(E_4,5,0x000),
    DN(___,0,0xC08),
    DN(E_4,5,0x000),
    DN(___,0,0xC08),
    DN(E_4,5,0x000),
    DN(___,0,0xC08),
    DN(E_4,5,0x000),
    DN(___,0,0xC08),
    DN(E_4,5,0x000),
    DN(___,0,0xC08),
    DN(A_3,5,0x000),
    DN(___,0,0xC08),
    DN(A_3,5,0x000),
    DN(___,0,0xC08),
    DN(A_3,5,0x000),
    DN(___,0,0xC08),
    DN(A_3,5,0x000),
    DN(___,0,0xC08),
    DN(B_3,5,0x000),
    DN(___,0,0xC08),
    DN(B_3,5,0x000),
    DN(___,0,0xC08),
    DN(B_3,5,0x000),
    DN(___,0,0xC08),
    DN(B_3,5,0x000),
    DN(___,0,0xC08),
    DN(E_4,5,0x000),
    DN(___,0,0xC08),
    DN(E_4,5,0x000),
    DN(___,0,0xC08),
    DN(E_4,5,0x000),
    DN(___,0,0xC08),
    DN(E_4,5,0x000),
    DN(___,0,0xC08),
    DN(E_4,5,0x000),
    DN(___,0,0xC08),
    DN(E_4,5,0x000),
    DN(___,0,0xC08),
    DN(E_4,5,0x000),
    DN(___,0,0xC08),
    DN(E_4,5,0x000),
    DN(___,0,0xC08),
    DN(A_3,5,0x000),
    DN(___,0,0xC08),
    DN(A_3,5,0x000),
    DN(___,0,0xC08),
    DN(E_4,5,0x000),
    DN(___,0,0xC08),
    DN(A_4,5,0x000),
    DN(___,0,0xC08),
    DN(Ds4,5,0x000),
    DN(___,0,0xC08),
    DN(B_3,5,0x000),
    DN(___,0,0xC08),
    DN(Fs4,5,0x000),
    DN(___,0,0xC08),
    DN(B_4,5,0x000),
    DN(___,0,0xC08),
    DN(E_4,5,0x000),
    DN(___,0,0xC08),
};
static const unsigned char P5[] = {
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
};
static const unsigned char P6[] = {
    DN(C_8,4,0x000),
    DN(Fs7,5,0x000),
    DN(Gs6,3,0x000),
    DN(___,0,0x000),
    DN(C_8,4,0x000),
    DN(Fs7,5,0x000),
    DN(Gs5,2,0x000),
    DN(___,0,0x000),
    DN(C_8,4,0x000),
    DN(Fs7,5,0x000),
    DN(Gs6,3,0x000),
    DN(___,0,0x000),
    DN(C_8,4,0x000),
    DN(Fs7,5,0x000),
    DN(Gs5,2,0x000),
    DN(___,0,0x000),
    DN(C_8,4,0x000),
    DN(Fs7,5,0x000),
    DN(Gs6,3,0x000),
    DN(___,0,0x000),
    DN(C_8,4,0x000),
    DN(Fs7,5,0x000),
    DN(Gs5,2,0x000),
    DN(___,0,0x000),
    DN(C_8,4,0x000),
    DN(Fs7,5,0x000),
    DN(Gs6,3,0x000),
    DN(___,0,0x000),
    DN(C_8,4,0x000),
    DN(Fs7,5,0x000),
    DN(Gs5,2,0x000),
    DN(___,0,0x000),
    DN(C_8,4,0x000),
    DN(Fs7,5,0x000),
    DN(Gs6,3,0x000),
    DN(___,0,0x000),
    DN(C_8,4,0x000),
    DN(Fs7,5,0x000),
    DN(Gs5,2,0x000),
    DN(___,0,0x000),
    DN(C_8,4,0x000),
    DN(Fs7,5,0x000),
    DN(Gs6,3,0x000),
    DN(___,0,0x000),
    DN(C_8,4,0x000),
    DN(Fs7,5,0x000),
    DN(Gs5,2,0x000),
    DN(___,0,0x000),
    DN(C_8,4,0x000),
    DN(Fs7,5,0x000),
    DN(Gs6,3,0x000),
    DN(___,0,0x000),
    DN(C_8,4,0x000),
    DN(Fs7,5,0x000),
    DN(Gs5,2,0x000),
    DN(___,0,0x000),
    DN(C_8,4,0x000),
    DN(Fs7,5,0x000),
    DN(Gs6,3,0x000),
    DN(___,0,0x000),
    DN(C_8,4,0x000),
    DN(Fs7,5,0x000),
    DN(Gs5,2,0x000),
    DN(___,0,0x000),
};
static const unsigned char P8[] = {
    DN(E_6,9,0x07C),
    DN(___,0,0xE00),
    DN(B_5,9,0x8FF),
    DN(___,0,0xE00),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(B_5,9,0x000),
    DN(___,0,0xE00),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(B_5,9,0x000),
    DN(___,0,0xE00),
    DN(E_6,9,0x000),
    DN(___,0,0xE00),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(A_5,9,0x07C),
    DN(___,0,0xE00),
    DN(E_6,9,0x000),
    DN(___,0,0xE00),
    DN(Cs6,9,0x000),
    DN(___,0,0xE00),
    DN(B_5,9,0x07C),
    DN(___,0,0xE00),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(A_5,9,0x000),
    DN(___,0,0xE00),
    DN(B_5,9,0x000),
    DN(___,0,0xE00),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(E_6,9,0x07C),
    DN(___,0,0xE00),
    DN(B_5,9,0x000),
    DN(___,0,0xE00),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(B_5,9,0x000),
    DN(___,0,0xE00),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(B_5,9,0x000),
    DN(___,0,0xE00),
    DN(E_6,9,0x000),
    DN(___,0,0xE00),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(A_5,9,0x07C),
    DN(___,0,0xE00),
    DN(E_6,9,0x000),
    DN(___,0,0xE00),
    DN(Ds6,9,0x000),
    DN(___,0,0xE00),
    DN(B_5,9,0x07C),
    DN(___,0,0xE00),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(Ds6,9,0x000),
    DN(___,0,0xE00),
    DN(B_5,9,0x000),
    DN(___,0,0xE00),
    DN(___,0,0x000),
    DN(___,0,0x000),
};
static const unsigned char P11[] = {
    DN(E_4,5,0x000),
    DN(___,0,0xC08),
    DN(E_4,5,0x000),
    DN(___,0,0xC08),
    DN(E_4,5,0x000),
    DN(___,0,0xC08),
    DN(Ds4,5,0x000),
    DN(___,0,0xC08),
    DN(Ds4,5,0x000),
    DN(___,0,0xC08),
    DN(Ds4,5,0x000),
    DN(___,0,0xC08),
    DN(Ds4,5,0x000),
    DN(___,0,0xC08),
    DN(B_3,5,0x000),
    DN(___,0,0xC08),
    DN(B_3,5,0x000),
    DN(___,0,0xC08),
    DN(B_3,5,0x000),
    DN(___,0,0xC08),
    DN(B_3,5,0x000),
    DN(___,0,0xC08),
    DN(G_3,5,0x000),
    DN(___,0,0xC08),
    DN(G_3,5,0x000),
    DN(___,0,0xC08),
    DN(G_3,5,0x000),
    DN(___,0,0xC08),
    DN(G_3,5,0x000),
    DN(___,0,0xC08),
    DN(E_4,5,0x000),
    DN(___,0,0xC08),
    DN(E_4,5,0x000),
    DN(___,0,0xC08),
    DN(E_4,5,0x000),
    DN(___,0,0xC08),
    DN(E_4,5,0x000),
    DN(___,0,0xC08),
    DN(Ds4,5,0x000),
    DN(___,0,0xC08),
    DN(Ds4,5,0x000),
    DN(___,0,0xC08),
    DN(Ds4,5,0x000),
    DN(___,0,0xC08),
    DN(Ds4,5,0x000),
    DN(___,0,0xC08),
    DN(B_3,5,0x000),
    DN(___,0,0xC08),
    DN(B_3,5,0x000),
    DN(___,0,0xC08),
    DN(B_3,5,0x000),
    DN(___,0,0xC08),
    DN(B_3,5,0x000),
    DN(___,0,0xC08),
    DN(G_3,5,0x000),
    DN(___,0,0xC08),
    DN(G_3,5,0x000),
    DN(___,0,0xC08),
    DN(G_3,5,0x000),
    DN(___,0,0xC08),
    DN(G_3,5,0x000),
    DN(___,0,0xC08),
    DN(E_4,5,0x000),
    DN(___,0,0xC08),
};
static const unsigned char P12[] = {
    DN(B_4,12,0x000),
    DN(E_5,12,0x000),
    DN(Ds4,12,0x000),
    DN(A_4,12,0x000),
    DN(Ds5,12,0x000),
    DN(Fs5,12,0x000),
    DN(Ds5,12,0x000),
    DN(B_4,12,0x000),
    DN(Fs4,12,0x000),
    DN(Ds4,12,0x000),
    DN(B_3,12,0x000),
    DN(Ds4,12,0x000),
    DN(Fs4,12,0x000),
    DN(B_4,12,0x000),
    DN(G_4,12,0x000),
    DN(E_4,12,0x000),
    DN(G_4,12,0x000),
    DN(B_4,12,0x000),
    DN(Fs5,12,0x000),
    DN(E_5,12,0x000),
    DN(B_4,12,0x000),
    DN(G_4,12,0x000),
    DN(B_4,12,0x000),
    DN(E_5,12,0x000),
    DN(E_5,12,0x000),
    DN(G_5,12,0x000),
    DN(G_5,12,0x000),
    DN(B_5,12,0x000),
    DN(B_5,12,0x000),
    DN(E_6,12,0x000),
    DN(E_4,12,0x000),
    DN(G_4,12,0x000),
    DN(B_4,12,0x000),
    DN(E_5,12,0x000),
    DN(Ds4,12,0x000),
    DN(A_4,12,0x000),
    DN(Ds5,12,0x000),
    DN(Fs5,12,0x000),
    DN(Ds5,12,0x000),
    DN(B_4,12,0x000),
    DN(Fs4,12,0x000),
    DN(Ds4,12,0x000),
    DN(B_3,12,0x000),
    DN(Ds4,12,0x000),
    DN(Fs4,12,0x000),
    DN(B_4,12,0x000),
    DN(G_4,12,0x000),
    DN(E_4,12,0x000),
    DN(G_4,12,0x000),
    DN(B_4,12,0x000),
    DN(Fs5,12,0x000),
    DN(E_5,12,0x000),
    DN(B_4,12,0x000),
    DN(G_4,12,0x000),
    DN(B_4,12,0x000),
    DN(E_5,12,0x000),
    DN(E_5,12,0x000),
    DN(G_5,12,0x000),
    DN(G_5,12,0x000),
    DN(B_5,12,0x000),
    DN(B_5,12,0x000),
    DN(E_6,12,0x000),
    DN(E_4,12,0x000),
    DN(G_4,12,0x000),
};
static const unsigned char P13[] = {
    DN(___,0,0x8ED),
    DN(E_4,12,0xC07),
    DN(G_4,12,0xC07),
    DN(B_4,12,0xC07),
    DN(E_5,12,0xC07),
    DN(Ds4,12,0xC07),
    DN(A_4,12,0xC07),
    DN(Ds5,12,0xC07),
    DN(Fs5,12,0xC07),
    DN(Ds5,12,0xC07),
    DN(B_4,12,0xC07),
    DN(Fs4,12,0xC07),
    DN(Ds4,12,0xC07),
    DN(B_3,12,0xC07),
    DN(Ds4,12,0xC07),
    DN(Fs4,12,0xC07),
    DN(B_4,12,0xC07),
    DN(G_4,12,0xC07),
    DN(E_4,12,0xC07),
    DN(G_4,12,0xC07),
    DN(B_4,12,0xC07),
    DN(Fs5,12,0xC07),
    DN(E_5,12,0xC07),
    DN(B_4,12,0xC07),
    DN(G_4,12,0xC07),
    DN(B_4,12,0xC07),
    DN(E_5,12,0xC07),
    DN(E_5,12,0xC07),
    DN(G_5,12,0xC07),
    DN(G_5,12,0xC07),
    DN(___,0,0xE00),
    DN(___,0,0x000),
    DN(___,0,0x8ED),
    DN(E_4,12,0xC07),
    DN(G_4,12,0xC07),
    DN(B_4,12,0xC07),
    DN(E_5,12,0xC07),
    DN(Ds4,12,0xC07),
    DN(A_4,12,0xC07),
    DN(Ds5,12,0xC07),
    DN(Fs5,12,0xC07),
    DN(Ds5,12,0xC07),
    DN(B_4,12,0xC07),
    DN(Fs4,12,0xC07),
    DN(Ds4,12,0xC07),
    DN(B_3,12,0xC07),
    DN(Ds4,12,0xC07),
    DN(Fs4,12,0xC07),
    DN(B_4,12,0xC07),
    DN(G_4,12,0xC07),
    DN(E_4,12,0xC07),
    DN(G_4,12,0xC07),
    DN(B_4,12,0xC07),
    DN(Fs5,12,0xC07),
    DN(E_5,12,0xC07),
    DN(B_4,12,0xC07),
    DN(G_4,12,0xC07),
    DN(B_4,12,0xC07),
    DN(E_5,12,0xC07),
    DN(E_5,12,0xC07),
    DN(G_5,12,0xC07),
    DN(G_5,12,0xC07),
    DN(___,0,0xE00),
    DN(___,0,0x000),
};
static const unsigned char P14[] = {
    DN(B_4,12,0x000),
    DN(E_5,12,0x000),
    DN(Ds4,12,0x000),
    DN(A_4,12,0x000),
    DN(Ds5,12,0x000),
    DN(Fs5,12,0x000),
    DN(Ds5,12,0x000),
    DN(B_4,12,0x000),
    DN(Fs4,12,0x000),
    DN(Ds4,12,0x000),
    DN(B_3,12,0x000),
    DN(Ds4,12,0x000),
    DN(Fs4,12,0x000),
    DN(B_4,12,0x000),
    DN(G_4,12,0x000),
    DN(E_4,12,0x000),
    DN(G_4,12,0x000),
    DN(B_4,12,0x000),
    DN(Fs5,12,0x000),
    DN(E_5,12,0x000),
    DN(B_4,12,0x000),
    DN(G_4,12,0x000),
    DN(B_4,12,0x000),
    DN(E_5,12,0x000),
    DN(E_5,12,0x000),
    DN(G_5,12,0x000),
    DN(G_5,12,0x000),
    DN(B_5,12,0x000),
    DN(B_5,12,0x000),
    DN(E_6,12,0x000),
    DN(E_4,12,0x000),
    DN(G_4,12,0x000),
    DN(B_4,12,0x000),
    DN(E_5,12,0x000),
    DN(Ds4,12,0x000),
    DN(A_4,12,0x000),
    DN(Ds5,12,0x000),
    DN(Fs5,12,0x000),
    DN(Ds5,12,0x000),
    DN(B_4,12,0x000),
    DN(Fs4,12,0x000),
    DN(Ds4,12,0x000),
    DN(B_3,12,0x000),
    DN(Ds4,12,0x000),
    DN(Fs4,12,0x000),
    DN(B_4,12,0x000),
    DN(G_4,12,0x000),
    DN(E_4,12,0x000),
    DN(G_4,12,0x000),
    DN(B_4,12,0x000),
    DN(Fs5,12,0x000),
    DN(E_5,12,0x000),
    DN(B_4,12,0x000),
    DN(G_4,12,0x000),
    DN(B_4,12,0x000),
    DN(E_5,12,0x000),
    DN(E_5,12,0x000),
    DN(B_4,12,0x000),
    DN(B_4,12,0x000),
    DN(G_4,12,0x000),
    DN(G_4,12,0x000),
    DN(E_4,12,0x000),
    DN(___,0,0x000),
    DN(___,0,0xE00),
};
static const unsigned char P15[] = {
    DN(___,0,0x8ED),
    DN(E_4,12,0xC07),
    DN(G_4,12,0xC07),
    DN(B_4,12,0xC07),
    DN(E_5,12,0xC07),
    DN(Ds4,12,0xC07),
    DN(A_4,12,0xC07),
    DN(Ds5,12,0xC07),
    DN(Fs5,12,0xC07),
    DN(Ds5,12,0xC07),
    DN(B_4,12,0xC07),
    DN(Fs4,12,0xC07),
    DN(Ds4,12,0xC07),
    DN(B_3,12,0xC07),
    DN(Ds4,12,0xC07),
    DN(Fs4,12,0xC07),
    DN(B_4,12,0xC07),
    DN(G_4,12,0xC07),
    DN(E_4,12,0xC07),
    DN(G_4,12,0xC07),
    DN(B_4,12,0xC07),
    DN(Fs5,12,0xC07),
    DN(E_5,12,0xC07),
    DN(B_4,12,0xC07),
    DN(G_4,12,0xC07),
    DN(B_4,12,0xC07),
    DN(E_5,12,0xC07),
    DN(E_5,12,0xC07),
    DN(G_5,12,0xC07),
    DN(G_5,12,0xC07),
    DN(___,0,0xE00),
    DN(___,0,0x000),
    DN(___,0,0x8ED),
    DN(E_4,12,0xC07),
    DN(G_4,12,0xC07),
    DN(B_4,12,0xC07),
    DN(E_5,12,0xC07),
    DN(Ds4,12,0xC07),
    DN(A_4,12,0xC07),
    DN(Ds5,12,0xC07),
    DN(Fs5,12,0xC07),
    DN(Ds5,12,0xC07),
    DN(B_4,12,0xC07),
    DN(Fs4,12,0xC07),
    DN(Ds4,12,0xC07),
    DN(B_3,12,0xC07),
    DN(Ds4,12,0xC07),
    DN(Fs4,12,0xC07),
    DN(B_4,12,0xC07),
    DN(G_4,12,0xC07),
    DN(E_4,12,0xC07),
    DN(G_4,12,0xC07),
    DN(B_4,12,0xC07),
    DN(Fs5,12,0xC07),
    DN(E_5,12,0xC07),
    DN(B_4,12,0xC07),
    DN(G_4,12,0xC07),
    DN(B_4,12,0xC07),
    DN(E_5,12,0xC07),
    DN(E_5,12,0xC07),
    DN(B_4,12,0xC07),
    DN(B_4,12,0xC07),
    DN(___,0,0x000),
    DN(___,0,0xE00),
};
static const unsigned char P16[] = {
    DN(E_4,5,0x000),
    DN(___,0,0xC08),
    DN(E_4,5,0x000),
    DN(___,0,0xC08),
    DN(E_4,5,0x000),
    DN(___,0,0xC08),
    DN(Ds4,5,0x000),
    DN(___,0,0xC08),
    DN(Ds4,5,0x000),
    DN(___,0,0xC08),
    DN(Ds4,5,0x000),
    DN(___,0,0xC08),
    DN(Ds4,5,0x000),
    DN(___,0,0xC08),
    DN(B_3,5,0x000),
    DN(___,0,0xC08),
    DN(B_3,5,0x000),
    DN(___,0,0xC08),
    DN(B_3,5,0x000),
    DN(___,0,0xC08),
    DN(B_3,5,0x000),
    DN(___,0,0xC08),
    DN(G_3,5,0x000),
    DN(___,0,0xC08),
    DN(G_3,5,0x000),
    DN(___,0,0xC08),
    DN(G_3,5,0x000),
    DN(___,0,0xC08),
    DN(G_3,5,0x000),
    DN(___,0,0xC08),
    DN(E_4,5,0x000),
    DN(___,0,0xC08),
    DN(E_4,5,0x000),
    DN(___,0,0xC08),
    DN(E_4,5,0x000),
    DN(___,0,0xC08),
    DN(E_4,5,0x000),
    DN(___,0,0xC08),
    DN(Ds4,5,0x000),
    DN(___,0,0xC08),
    DN(Ds4,5,0x000),
    DN(___,0,0xC08),
    DN(Ds4,5,0x000),
    DN(___,0,0xC08),
    DN(Ds4,5,0x000),
    DN(___,0,0xC08),
    DN(B_3,5,0x000),
    DN(___,0,0xC08),
    DN(B_3,5,0x000),
    DN(___,0,0xC08),
    DN(B_3,5,0x000),
    DN(___,0,0xC08),
    DN(B_3,5,0x000),
    DN(___,0,0xC08),
    DN(G_3,5,0xE04),
    DN(B_3,5,0xE04),
    DN(G_3,5,0xE04),
    DN(E_4,5,0xE04),
    DN(B_3,5,0xE04),
    DN(E_4,5,0xE04),
    DN(B_3,5,0xE04),
    DN(G_4,5,0xE04),
    DN(E_4,5,0x000),
    DN(___,0,0xC08),
};
static const unsigned char P17[] = {
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(E_4,5,0x000),
    DN(___,0,0xC08),
    DN(G_4,5,0x000),
    DN(___,0,0xC08),
    DN(___,0,0xC06),
    DN(___,0,0xC04),
    DN(___,0,0xC02),
    DN(___,0,0xC00),
    DN(G_4,5,0x000),
    DN(___,0,0xC08),
    DN(A_4,5,0x000),
    DN(___,0,0xC08),
    DN(___,0,0xC06),
    DN(___,0,0xC04),
    DN(___,0,0xC02),
    DN(___,0,0xC00),
    DN(A_4,5,0x000),
    DN(___,0,0xC08),
    DN(B_4,5,0x000),
    DN(___,0,0xC08),
    DN(___,0,0x000),
    DN(B_4,5,0x000),
    DN(___,0,0xC08),
    DN(___,0,0x000),
    DN(B_4,5,0x000),
    DN(___,0,0xC08),
    DN(E_4,5,0x000),
    DN(___,0,0xC08),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(___,0,0x000),
    DN(E_4,5,0x000),
    DN(___,0,0xC08),
    DN(G_4,5,0x000),
    DN(___,0,0xC08),
    DN(___,0,0xC06),
    DN(___,0,0xC04),
    DN(___,0,0xC02),
    DN(___,0,0xC00),
    DN(G_4,5,0x000),
    DN(___,0,0xC08),
    DN(A_4,5,0x000),
    DN(___,0,0xC08),
    DN(___,0,0xC06),
    DN(___,0,0xC04),
    DN(___,0,0xC02),
    DN(___,0,0xC00),
    DN(A_4,5,0x000),
    DN(___,0,0xC08),
    DN(B_4,5,0x000),
    DN(___,0,0xC08),
    DN(___,0,0x000),
    DN(B_4,5,0x000),
    DN(___,0,0xC08),
    DN(___,0,0x000),
    DN(B_4,5,0x000),
    DN(___,0,0xC08),
    DN(E_4,5,0x000),
    DN(___,0,0xC08),
};

static const unsigned char* const order1[] = {P0,P0,P0,P0,P12,P14,P0,P0,P0,P0,P12,P14};
static const unsigned char* const order2[] = {P1,P1,P8,P8,P13,P15,P1,P1,P8,P8,P13,P15};
static const unsigned char* const order3[] = {P2,P4,P4,P4,P11,P16,P17,P17,P17,P17,P11,P16};
static const unsigned char* const order4[] = {P3,P6,P6,P6,P6,P6,P5,P3,P6,P6,P6,P6};

static const unsigned char duty_instruments[] = {
8,128,240,128,
8,64,240,128,
8,128,240,128,
8,192,240,128,
8,0,241,128,
8,64,241,128,
8,128,241,128,
8,192,241,128,
8,192,240,128,
8,128,240,128,
8,128,240,128,
8,128,241,128,
8,128,240,128,
8,128,240,128,
8,128,240,128,
};
static const unsigned char wave_instruments[] = {
0,32,0,128,
0,32,1,128,
0,32,2,128,
0,32,3,128,
0,32,4,128,
0,32,5,128,
0,32,6,128,
0,32,7,128,
0,32,8,128,
0,32,9,128,
0,32,10,128,
0,32,11,128,
0,32,12,128,
0,32,13,128,
0,32,14,128,
};
static const unsigned char noise_instruments[] = {
241,30,-5,-3,1,2,1,4,
241,0,14,5,2,-2,-4,4,
241,0,-14,9,10,10,10,10,
161,0,0,0,0,0,0,0,
65,0,0,0,0,0,0,0,
240,0,0,0,0,0,0,0,
240,0,0,0,0,0,0,0,
240,0,0,0,0,0,0,0,
240,0,0,0,0,0,0,0,
240,0,0,0,0,0,0,0,
240,0,0,0,0,0,0,0,
240,0,0,0,0,0,0,0,
240,0,0,0,0,0,0,0,
240,0,0,0,0,0,0,0,
240,0,0,0,0,0,0,0,
};

static const unsigned char waves[] = {
    0,0,255,255,255,255,255,255,255,255,255,255,255,255,255,255,
    0,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,
    0,0,0,0,0,0,0,0,255,255,255,255,255,255,255,255,
    0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,
    0,1,18,35,52,69,86,103,120,137,154,171,188,205,222,239,
    254,220,186,152,118,84,50,16,18,52,86,120,154,188,222,255,
    122,205,219,117,33,19,104,189,220,151,65,1,71,156,221,184,
    15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,
    254,252,250,248,246,244,242,240,242,244,246,248,250,252,254,255,
    238,221,204,187,169,136,118,101,68,50,17,0,0,0,0,0,
    132,17,97,237,87,71,90,173,206,163,23,121,221,32,3,71,
    197,125,122,123,227,83,25,229,152,226,81,189,185,1,22,221,
    157,59,28,129,99,51,105,235,235,68,124,113,123,155,42,234,
    165,153,117,225,59,33,234,137,116,54,151,113,179,217,162,179,
    93,49,59,139,172,2,149,222,24,108,116,58,216,218,194,51,
    212,116,28,212,106,161,211,136,83,209,75,153,160,94,73,58,
};

const hUGESong_t ryukenden = {6, &order_cnt, order1, order2, order3,order4, duty_instruments, wave_instruments, noise_instruments, NULL, waves};
